## org.eclipse.e4.xwt.converters
Class BindingToObject

    java.lang.Object
      org.eclipse.e4.xwt.converters.BindingToObject

All Implemented Interfaces:
  org.eclipse.core.databinding.conversion.IConverter

    public class BindingToObject

extends java.lang.Object
implements org.eclipse.core.databinding.conversion.IConverter

Binding to Object covnerter

Author:
  yyang

Field Summary
`static BindingToObject` `instance`

Constructor Summary
`BindingToObject()`

Method Summary
`java.lang.Object` `convert(java.lang.Object fromObject)`
`java.lang.Object` `getFromType()`
`java.lang.Object` `getToType()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static BindingToObject instance

Constructor Detail

### BindingToObject

    public BindingToObject()

Method Detail

### convert

    public java.lang.Object convert(java.lang.Object fromObject)

  Specified by:
    `convert` in interface `org.eclipse.core.databinding.conversion.IConverter`

### getFromType

    public java.lang.Object getFromType()

  Specified by:
    `getFromType` in interface `org.eclipse.core.databinding.conversion.IConverter`

### getToType

    public java.lang.Object getToType()

  Specified by:
    `getToType` in interface `org.eclipse.core.databinding.conversion.IConverter`